Grok Voice
ᠵᡠᠸᡝᠪᡠᠮᠪᡳ
xai/grok-voice
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-voice?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/xai/grok-voice?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/xai/grok-voice", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/mnc/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "xai/grok-voice",
"input": {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
}
Grok Voice ᠮᠣᠳᡝᠯ (xai/grok-voice) ᠪᡝ Doitong API ᠵᠠᠯᡳᠨᡩᡝ ᠠᠰᡠᠮᠪᡳ. ᠠᡤᡝᠨᡨᡳ ᡩᠠᡳᠯᠠᠨ: https://doitong.com/mnc/developers/models/xai/grok-voice.md
POST https://api.doitong.com/v1/run/xai/grok-voice?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
ᡝᡵᡝᠮᡝ ᠪᡠᠮᡝᠨᡳ ᠠᠨᠠᠮᡝ "queued" ᡳᠨᡠ "running" ᠪᡝ, GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ᠪᡝ ᠠᠨᠠᠮᡝ "succeeded" ᠪᡝᠴᡳ ᠠᠰᡠᠮᠪᡳ; ᡶᡳᠯᡝ ᠪᡝ outputs[].url ᠪᡝᠴᡳ ᠣᠨᡩᠣᠮᡝ. POST https://api.doitong.com/v1/quote/xai/grok-voice ᠪᡝ ᡝᠮᡠ ᠪᡠᠶᡝᠮᡝ ᠪᡝ ᠠᠰᡠᠮᠪᡳᡩᡝ ᠵᠠᠯᡤᠠᠨ ᠪᡝ ᠶᠠᠪᡠᠮᠪᡳ ᠰᡳᠨᡳ ᠠᠮᡤᠠ ᠠᠰᡠᠮᠪᡳ ᠣᠯᡥᠣᠮᡝ.
ᡴᡳᠴᡝ ᡩᡝ ᠵᡠᠯᡤᡝ ᡤᡡᠨᠠᠨ ᠪᡝ $1.494 ᠪᠠᠶᠠᠮᠪᡳ ᠵᠣᡵᡤᠣᠨᡳ ᡠᠰᡳᡥᠠᡩᡝ, ᠰᡠᠯᡝ ᠠᠮᡝᠪᡠᠮᠪᡳ ᡝᡵᡝ ᠵᠠᠯᡳᠨᡩᡝ ᠠᠰᡠᠮᠪᡳ
ᠰᡳᠨᡳ ᠵᠠᠮᡠᠰᡳᠨ API ᠵᡳᡵᡤᠠ. ᡝᠯᡝ ᡝᠨᡩᡝ ᡳᠯᡤᠠᠮᠪᡳ ᡝᡵᡝ ᠮᡠᠨᡩᡝ ᡴᠣᡩᡝ ᡩᠠᠮᡠ ᠮᡝᠨᡩᡝᡵᡝ ᠪᠠᡩᡝᠯᡝᠨ ᠠᠮᡪᡳ ᡳᠨᡠ API ᠵᡳᡵᡤᠠ ᡩᡝᠪᡨᡝᡵᡝ ᡩᡝ ᠠᡴᡠ᠉ ᡳᠨᡠ ᡝᡵᡝᠩᡤᡝ ᠠᠮᠪᠠᠨ ᠮᡠᠨᡩᡝ ᠪᡝ ᠠᠰᡠᡵᠠᠮᠪᡳ: ᠮᡠᡵᡝ ᡩᠠᠮᡠ ᠪᡠᠶᡝᡵᡝ ᠪᠠᡩᡝᠯᡝᠨ ᡩᡝ ᠰᡳᠨᡩᡝᠮᡝ ᠠᠪᡠᠮᡝ ᠰᠠᠮᡪᡳ᠉
ᡳᠨᡝ ᡝᠮᡠᠨᡳᠩᡤᡝ ᡝᡵᡝᠮᡝ ᡩᡝ
ᡝᡵᡝ ᠵᡠᠯᡝᠨ ᡩᡝ ᡤᡝᡪᡳᠯᡝᠨ ᠪᠠᠶᠠᠨᠠᠮᡝ ᠠᠮᡪᠠᠯᠠ ᡶᡳᠯᡝᠮᡝ ᠪᡝᠶᡝᠮᡝ᠃ API ᠵᡳᡵᡤᠠᡳ ᡤᠠᡳᡥᠠᡩᡝ ᡤᡝᡪᡳᠯᡝᠨ ᠵᠠᠯᠠᠨᠠᠮᡝ ᠪᡠᠶᡝᠮᡝ ᠮᡠᠰᡝᡳ ᠰᡠᠯᡠᠨᡩᡝ ᠪᠠᠶᠠᠨᠠᠮᡝ᠂ ᠮᡤᡳ ᠮᡠᠰᡝ ᠠᠶᠠᠨ 7 ᡥᠠᠨ ᠰᠠᡳᠨᠠᠮᡝ᠃
ᡤᡳᠰᡠᠨ ᠪᡠᠶᡝᠮᡝ
ᠵᠠᡴᡠᠨᡳ ᠵᡠᠯᡝ ᡩᡝᡵᡤᡳ ᡩᡝᠪᡝᠰᡠᠮᡝ ᠵᡠᠯᡤᡝ ᠪᡠᠶᡝᠮᡝ᠈ ᡳᠨᡳ ᡤᡳᠰᡠᠨ ᠪᠠᡳ ᡝᠨᡝᠩᡤᡳ ᠠᠮᠪᡳ
/run/xai/grok-voice?wait=20
ᠵᠠᠯᡳᠨ → $1.494
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-voice?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/xai/grok-voice?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/xai/grok-voice", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "xai/grok-voice",
"input": {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"wait_seconds": 20
}
}
}
ᡝᠨᡳ ᠵᠠᠯᡳᠨ ᠪᡝ ᠵᠠᠯᠠᠨᠠᠮᡝ
ᡳᠨᡝ ᠵᠠᠯᠠᠨ ᡝᡵᡝ ᠪᡠᡵᡝᠪᡝᡵᡳ ᡩᡝ ᠪᡳᠮᡝ᠈ Doitong API ᡩᡝ ᠵᡝᠯᡤᡳ ᡩᠠᡵᠠᠮᡝ᠈ Remember ᠵᡠᠯᡝᠮᡝ ᡤᡳᠯᠠᠮᡝ localStorage ᡩᡝ ᠰᡠᠯᡝᠮᡝ ᠪᡳᠮᡝ API ᠵᠠᠯᠠᠨ ᠠᠪᠠᠮᡝ
Grok Voice ᡠᡵᡝᠮᡝ
`audio_url` ᠪᡝ ᡩᠠᡥᠠᠮᡝ ᠠᠰᠠᠪᡠᡥᠠ ᡤᡳᠰᡠᠨ ᠪᡝ ᡠᠩᡤᡳᡵᡝᡩᡝ᠂ ᠠᡤᡝᠨᡨ ᡤᡳᠰᡠᠨ ᡳ ᠵᠠᠪᡠᠮᠪᡳ᠋᠉ ᠵᠠᠪᡠᠨ ᠪᡝ 24 kHz ᡝᠮᡠ ᠵᡠᡤᡡᠨ ᡳ WAV ᠣᠪᡠᠮᡝ᠂ ᡨᡝᡵᡝᡳ ᡤᠣᠯᠮᡳᠨ ᠪᠣᠯᠣᠨ ᠪᠠᡥᠠᠮᡠᠰᡳ ᠣᠴᡳ ᠠᡵᠠᡥᠠ ᡤᡳᠰᡠᠨ ᡳ ᠰᠠᡵᠠ ᡝᠮᡤᡳ ᠪᡠᡵᡝᠮᠪᡠᠮᠪᡳ᠋᠉ ᠪᠠᡳᠨᠠᡥᠠ ᠣᠴᡳ ᠪᡠᡵᡝ `prompt` (20000 ᡥᡝᡵᡤᡝᠨ ᡩᡝ ᡳᠰᡳᡨᠠᠯᠠ) ᠪᡝᠶᡝᡳ ᠠᡵᠪᡠᠨ ᠪᠣᠯᠣᠨ ᠰᡳᡩᡝᠨ ᠪᡝ ᡨᠣᡴᡨᠣᠪᡠᠮᠪᡳ᠂ `voice` ᡩᠣᡵᡤᡳᡩᡝ ᠪᡳᠰᡳᡵᡝ ᠵᡳᠯᡤᠠᠨ ᠪᡝ ᠰᠣᠩᡤᠣᠮᠪᡳ᠋᠉ `tools` ᡩᠣᡵᡤᡳ ᡝᠮᠪᡳᠮᡝ ᡤᡝᠣᡳ ᠪᠠᡳᠴᠠᡵᠠ᠂ X ᠪᠠᡳᠴᠠᡵᠠ ᡝᠮᡝ ᡝᠴᡳ ᡤᠣᡵᠣᡴᡳ MCP ᡩᠠᡥᠠᡵᠠᠪᡠᡴᡠ ᠪᡝ ᠨᡝᡳᠪᡠᠮᡝ ᠣᠮᠪᡳ᠋᠉ ᠵᡠᠯᡝ ᠪᠠᠪᡝ ᡨᠣᠮᡝ ᠶᠣᠣᠨᡳ ᠶᠠᡧᠠᠪᡠᡥᠠ᠋᠉
ᠵᠠᡴᡠᠨ
ᠵᠠᡴᡠᠨᡳ ᡤᡳᠰᡠᠨ ᠵᡝᠯᡤᡳ ᠠᠪᠠᠮᠪᡳ᠈ ᠨᡝᠮᡝ ᠮᡠᠰᡝ ᡠᠯᠠᠮᠪᡳ ᠵᠠᡴᡠᠨᡳ ᡤᡳᠰᡠᠨ
audio_urlᡴᠠᠷᠠᡴᡡ
audio
promptᠵᡠᠯᡝ
voiceᠵᡠᠯᡝ
+12 ᡝᠨᡝ
siriuslumencastornakshatlasauroralioraaraeveleorexsaltoolsᠵᡠᠯᡝ
tools.mcp_serversᠵᡠᠯᡝ
tools.mcp_servers[].allowed_toolsᠵᡠᠯᡝ
tools.mcp_servers[].authorizationᠵᡠᠯᡝ
tools.mcp_servers[].enabledᠵᡠᠯᡝ
tools.mcp_servers[].headersᠵᡠᠯᡝ
tools.mcp_servers[].server_descriptionᠵᡠᠯᡝ
tools.mcp_servers[].server_labelᡴᠠᠷᠠᡴᡡ
tools.mcp_servers[].server_urlᡴᠠᠷᠠᡴᡡ
tools.web_searchᠵᡠᠯᡝ
tools.web_search.allowed_domainsᠵᡠᠯᡝ
tools.web_search.enable_image_understandingᠵᡠᠯᡝ
tools.web_search.enabledᠵᡠᠯᡝ
tools.web_search.excluded_domainsᠵᡠᠯᡝ
tools.web_search.locationᠵᡠᠯᡝ
tools.x_searchᠵᡠᠯᡝ
tools.x_search.allowed_x_handlesᠵᡠᠯᡝ
tools.x_search.enable_image_understandingᠵᡠᠯᡝ
tools.x_search.enable_video_understandingᠵᡠᠯᡝ
tools.x_search.enabledᠵᡠᠯᡝ
tools.x_search.excluded_x_handlesᠵᡠᠯᡝ
tools.x_search.from_dateᠵᡠᠯᡝ
tools.x_search.to_dateᠵᡠᠯᡝ
enable_safety_checkerᠵᡠᠯᡝ
ᠪᡠᠮᠪᡳᠯᡝᠰᡝ ᡝᠮᡠ ᡤᡝᠮᡠᠨᡳ https:// URL᠈ 10 MB ᡩᡝ ᡩᡝᠷᡤᡳ data: URI ᠵᡝᡵᡤᡳ ᡝᠮᡝ᠈ ᡳᠨᡝ ᠪᡠᠮᠪᡳᠯᡝᠰᡝᠨᡳ file_url ᠠᠪᠠᠮᠪᡳ ᠪᡠᠮᠪᡳ
ᠪᡠᠶᡝᠮᡝ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "xai/grok-voice",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1494,
"usd": "1.494",
"charged": 1494,
"refunded": 0
},
"input": {
"audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"text": "",
"duration": 5
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ᠪᡠᠶᡝᠮᡝᠨᡳ ᡤᡳᠰᡠᠨ
- audio
- object {url, content_type, file_name, file_size}Grok ᠠᡤᡝᠨᡨ ᡳ ᡤᡳᠰᡠᠨ ᡳ ᠵᡠᠯᡝ ᠵᡠᠪᡝᠨᡝᠮᡝ᠂ mono WAV ᡩᡝ 24 kHz ᠪᡝ ᠪᡠᠶᡝᠮᡝ᠉
- text
- stringᠠᡤᡝᠨᡨ ᡳ ᡤᡳᠰᡠᠨ ᡩᡝ ᠵᡠᠯᡝ ᠪᡠᠶᡝᠮᡝ: ᠠᡤᡠᠯᠠ ᠵᡠᠪᡝᠨ ᡩᡝ Grok ᠵᡠᠯᡝ ᠮᡠᠰᡝ ᠪᡠᠶᡝᠮᡝ ᠪᡠᠶᡝᠮᡝ᠉ ᡝᠯᡝ ᠣᠮᠪᡳ ᡩᡝ ᠪᡠᠶᡝᠮᡝ ᠵᡠᠪᡝᠨ ᠪᡳ᠉
- duration
- numberᠪᡠᠶᠠᠮᡝ ᡳ ᡤᡳᠰᡠᠨ ᡳ ᠵᠠᠯᠠᠨ, ᠰᡝᡴᡠᠨᡩ ᡩᡝ ᠵᠠᠯᠠᠨ᠉
ᡝᠯᡤᡳ Grok Voice ᡠᠯᡤᡳᠨ
ᡝᠯᡤᡳ ᡩᠠᠯᡳᠨ: ᡤᡳᠰᡠᠨ ᡳ ᠪᠠᡳ᠌ᠯᠠᠩᡤᠠ
AI ᠠᡤᡝᠨᡨᡳ ᡠᠴᡠᠷᡳ᠈ ᡝᡵᡝ ᡩᡝᠪᡝᡵᡳ Markdown ᠰᡳᠨᡩᠠᡵᡳ https://doitong.com/mnc/developers/models/xai/grok-voice.md. ᡝᡵᡝ ᠮᠣᡩᡝᠯ ᠵᠠᡴᡠᠨ ᠰᡠᠯᡠᠮᡝ https://doitong.com/developers/llms.txt